# Make a canned reply with {{customer.first_name}}-style variables

`POST /workspace/inbox/templates` · Rivier · inbox

Make a canned reply with {{customer.first_name}}-style variables.

- Scope: inbox:write
- Graphql: Mutation.inboxTemplateCreate
- Sdk: inbox.template.create
- Cli: inbox template create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "subject": {
      "type": "string",
      "maxLength": 300
    },
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 20000
    },
    "shared": {
      "type": "boolean"
    }
  },
  "required": [
    "name",
    "body"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/templates' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "body": "string"
}'
```
